
Redmine - Defect #2894

Update to svn HEAD breaks existing mod_ruby (passenger) deployments.

2009-03-04 12:10 - Leszek Ciesielski

Status: Closed Start date: 2009-03-04

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

I am running redmine svn-head using Apache and Passenger. The working setup (described on 

http://www.modrails.com/documentation/Users%20guide.html#deploying_rails_to_sub_uri ) has been broken with recent svn update.

And in quite ugly way - all Redmine was able to show to me was a 404 page, with only "ActionController::RoutingError (No route

matches "/redmine/" with {:method=>:get}):" in log giving a clue to what has actualy gone wrong. To fix, it is required to add the

following line at the end of your config/environment.rb :

ActionController::AbstractRequest.relative_url_root = "/redmine" (as described on 

http://www.redmine.org/wiki/redmine/HowTo_Install_Redmine_in_a_sub-URI ).

Shouldn't this be mentioned in http://www.redmine.org/wiki/1/RedmineUpgrade ? And besides, what did change that this additional

configuration is necessary?

Associated revisions

Revision 2551 - 2009-03-04 18:37 - Jean-Philippe Lang

Fixed broken OpenID authentication after migration to Rails 2.2 (#2894).

History

#1 - 2009-03-04 12:23 - Leszek Ciesielski

- File production.log added

After this configuration setting has been added, OpenID authentication no longer works (HTTP 500 errors, "NoMethodError (undefined method

`relative_url_root' for ActionController::AbstractRequest:Class):

"). Log attached.

#2 - 2009-03-04 18:45 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

The OpenID authentication error is fixed in r2551.

And besides, what did change that this additional configuration is necessary?

 Redmine did not introduce any change on this point but Rails 2.2.2 is now used.

It looks like the problem is on the mod_rails side:

http://schronet.webhop.org:8080/blog/intstalling-a-rails-application-in-a-subfolder-using-phusion-passenger/

#3 - 2009-03-05 09:53 - Leszek Ciesielski

- Status changed from Closed to Reopened

OpenID works fine, my site also functions ok. However, rake db:migrate RAILS_ENV="test" reports:

DEPRECATION WARNING: ActionController::AbstractRequest.relative_url_root= has been renamed.You can now set it with

config.action_controller.relative_url_root=. (called from /var/www/redmine/config/environment.rb:54)

(and this also shows up in logs). Setting this as the warning suggests broke my deployment. Leaving it as I have it set currently results in failures in

rake test.
#4 - 2009-03-06 23:39 - Jean-Philippe Lang

Setting this as the warning suggests broke my deployment.

 This is a Rails warning. Please attach your environment.rb.

#5 - 2009-03-10 12:01 - Leszek Ciesielski

- File environment.rb added

#6 - 2009-05-26 10:36 - Leszek Ciesielski

- File environment.rb added

I have updated my environment.rb as the deperecation warning suggested, I had previously placed the configuration directive wrongly (after 'end',

d'oh!). Now the test failures are down to 16, from 80-something while I was using the deprecated ActionController::AbstractRequest.relative_url_root .

Still, all tests should pass, shouldn't they?

#7 - 2011-06-13 12:33 - Jean-Baptiste Barth

- Status changed from Reopened to Closed

Pretty old bug, I suppose it's solved in latest stable releases.

Files

production.log 104 KB 2009-03-04 Leszek Ciesielski

environment.rb 2.1 KB 2009-03-10 Leszek Ciesielski

environment.rb 2.23 KB 2009-05-26 Leszek Ciesielski
